# $Id: qcad.pro,v 1.19 2003/09/21 22:17:53 andrew Exp $

TEMPLATE = app
CONFIG += qt warn_on static link_prl
INCLUDEPATH += ../../fparser/include ../../qcadcmd/include

# These libs are usually not needed when using qt-mt.
# However, if you are getting undefined references, try linking these in:
#
#LIBS += -lXi -lXext -lSM -lICE -ldl -lpng -lXft -lXinerama -lXrandr -lXrender -lXcursor -lpthread

unix {
	LIBS += \
	        -L../../qcadguiqt/lib -lqcadguiqt \
	        -L../../qcadactions/lib -lqcadactions \
	        -L../../qcadcmd/lib -lqcadcmd \
	        -L../../qcadlib/lib -lqcad \
			-L../../dxflib/lib -ldxf \
			-L../../fparser/lib -lfparser
}

win32 {
	CONFIG += thread
	LIBS += ../../qcadguiqt/lib/qcadguiqt.lib \
	        ../../qcadactions/lib/qcadactions.lib \
	        ../../qcadcmd/lib/qcadcmd.lib \
	        ../../qcadlib/lib/qcad.lib \
		    ../../dxflib/lib/dxflib.lib \
		    ../../fparser/lib/fparser.lib
}

RC_FILE = qcad.rc

INCLUDEPATH += ../../fparser/include \
               ../../dxflib/include \
               ../../qcadlib/include \
               ../../qcadcmd/include \
               ../../qcadactions/include \
               ../../qcadguiqt/include

# detect Qt with threading:
unix {
	exists( $$(QTDIR)/lib/libqt-mt.so ) {
		CONFIG += thread
	}
}

win32 {
	exists( $$(QTDIR)/lib/qtmt321.lib ) {
		CONFIG += thread
	}
}

# experimental python support
#exists(/usr/include/python2.2/Python.h) {
exists(/usr/lib/python2.2/config/libpython2.2.a) {
	CONFIG		+= python
	PYTHONPREFIX = /usr
}
#exists(/usr/local/include/python2.2/Python.h) {
exists(/usr/local/lib/python2.2/libpython2.2.a) {
	CONFIG		+= python
	PYTHONPREFIX = /usr/local
}
unix {
  python {
	LIBS        += -L$$PYTHONPREFIX/lib/python2.2/config -lpython2.2 \
				   -lpthread -lutil
	               #$$PYTHONPREFIX/lib/python2.2/lib-dynload/math.so \
				   #$$PYTHONPREFIX/lib/python2.2/lib-dynload/array.so
	INCLUDEPATH += $$PYTHONPREFIX/include/python2.2
	DEFINES     += RS_OPT_PYTHON
  }
}

HEADERS		= qc_applicationwindow.h \
              qc_dialogfactory.h \
              qc_graphicview.h \
			  qc_mdiwindow.h \
			  main.h
SOURCES		= qc_applicationwindow.cpp \
              qc_dialogfactory.cpp \
              qc_graphicview.cpp \
			  qc_mdiwindow.cpp \
              main.cpp 
TRANSLATIONS = ts/qcad_en.ts \
               ts/qcad_da.ts \
               ts/qcad_de.ts \
               ts/qcad_hu.ts \
               ts/qcad_no.ts
DESTDIR     = ..
TARGET		= qcad
OBJECTS_DIR = obj
MOC_DIR     = moc

